org.hibernate.validator.ap.checks

## Class ConstraintCheckError

- java.lang.Object
- - org.hibernate.validator.ap.checks.ConstraintCheckError

-     public class ConstraintCheckError
      extends Object

  The result of the execution of a `ConstraintCheck`. Comprises information about the location at which the error occurred and a message describing the occurred error.
  Author:
    Gunnar Morling

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintCheckError(Element element, AnnotationMirror annotationMirror, String messageKey, Object... messageParameters)` Creates a new ConstraintCheckError.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `AnnotationMirror` | `getAnnotationMirror()`
    `Element` | `getElement()`
    `String` | `getMessageKey()`
    `Object[]` | `getMessageParameters()`
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintCheckError

          public ConstraintCheckError(Element element,
                              AnnotationMirror annotationMirror,
                              String messageKey,
                              Object... messageParameters)

      Creates a new ConstraintCheckError.
      Parameters:
        `element` - The element at which the error occurred.
        `annotationMirror` - The annotation that causes the error.
        `messageKey` - A key for retrieving an error message template from the bundle

        `org.hibernate.validator.ap.ValidationProcessorMessages.`
        `messageParameters` - An array with values to put into the error message template using `MessageFormat`. The number of elements must match the number of place holders in the message template.

  - ### Method Detail

    - #### getElement

          public Element getElement()

    - #### getAnnotationMirror

          public AnnotationMirror getAnnotationMirror()

    - #### getMessageKey

          public String getMessageKey()

    - #### getMessageParameters

          public Object[] getMessageParameters()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2007-2014 Red Hat, Inc. All Rights Reserved